package es.uca.xmleye.gui.l10n;

/*
 Copyright (C) 2005-2008 Antonio García Domínguez

 This program is free software; you can redistribute it 
 and/or modify it under the terms of the GNU General Public 
 License as published by the Free Software Foundation; 
 either version 2 of the License, or (at your option) any 
 later version.

 This program is distributed in the hope that it will be 
 useful, but WITHOUT ANY WARRANTY; without even the implied 
 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 PURPOSE. See the GNU General Public License for more 
 details.

 You should have received a copy of the GNU General Public 
 License along with this program; if not, write to the Free 
 Software Foundation, Inc., 59 Temple Place, Suite 330, 
 Boston, MA 02111-1307 USA
 */

import java.util.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * Información de local por defecto (es_ES) para
 * {@link es.uca.xmleye.gui.VentanaPrincipal}.
 */
public class ResVentanaPrincipal extends ListResourceBundle {
	public Object[][] getContents() {
		return contenido;
	}

	/**
	 * Los objetos, según la clave, pueden ser:
	 * 
	 * _m -> Mnemónicos (int) _a -> Teclas de acceso rápido (KeyStroke) _d ->
	 * descripciones de la accion _i -> icono 16x16 (png) _ibig -> icono 32x32
	 * (png)
	 */
	private static Object[][] contenido = {
			{ "menu_file", "Fichero" },
			{ "menu_file_m", new Integer(KeyEvent.VK_F) },
			{ "menu_file_d", "Abre ficheros y cierra el programa" },
			{ "menu_browse", "Navegar" },
			{ "menu_browse_m", new Integer(KeyEvent.VK_N) },
			{ "menu_browse_d",
					"Facilita todo movimiento a través del documento" },
			{ "menu_preferences", "Preferencias" },
			{ "menu_preferences_m", new Integer(KeyEvent.VK_P) },
			{ "menu_preferences_d", "Cambia opciones del programa" },
			{ "menu_help", "Ayuda" },
			{ "menu_help_m", new Integer(KeyEvent.VK_A) },
			{ "menu_help_d",
					"Muestra información acerca del programa y sus funciones" },

			// Elementos del menú Fichero - ver acciones
			// Elementos del menú Ayuda - ver acciones

			// Barra de herramientas Principal
			{ "toolbar_main_title", "Principal" },

			// Iconos para la lista de documentos
			{ "icon_close_selected", "icons/16x16/close-doc-selected.png" },
			{ "icon_close_unselected", "icons/16x16/close-doc-unselected.png" },

			// Acciones disponibles
			{ "action_open", "Abrir..." },
			{ "action_open_d", "Abre un documento XML ya existente." },
			{ "action_open_i", "icons/16x16/document-open.png" },
			{ "action_open_ibig", "icons/32x32/document-open.png" },
			{ "action_open_m", new Integer(KeyEvent.VK_A) },
			{ "action_open_a",
					KeyStroke.getKeyStroke(KeyEvent.VK_O, InputEvent.CTRL_MASK) },

			// No requiere icono, no tiene botón en la barra de herramientas
			{ "action_about", "Acerca de..." },
			{ "action_about_d", "Muestra información acerca del programa." },
			{ "action_about_m", new Integer(KeyEvent.VK_C) },
			{
					"action_about_a",
					KeyStroke.getKeyStroke(KeyEvent.VK_F1,
							InputEvent.SHIFT_MASK) },

			{ "action_toggleautoimport", "Actualización automática" },
			{ "action_toggleautoimport_d",
					"Activa o desactiva la actualización al cambiar la fuente Lisp" },
			{ "action_toggleautoimport_m", new Integer(KeyEvent.VK_R) },

			{ "action_close", "Cerrar" },
			{ "action_close_d", "Cierra el documento abierto." },
			{ "action_close_m", new Integer(KeyEvent.VK_C) },
			{ "action_close_a",
					KeyStroke.getKeyStroke(KeyEvent.VK_W, InputEvent.CTRL_MASK) },

			{ "action_edittypes", "Tipos admitidos..." },
			{ "action_edittypes_d",
					"Edita los tipos de documento externos admitidos." },
			{ "action_edittypes_m", new Integer(KeyEvent.VK_T) },
			{ "action_edittypes_a",
					KeyStroke.getKeyStroke(KeyEvent.VK_T, InputEvent.ALT_MASK) },

			{ "action_expand", "Expandir todo" },
			{ "action_expand_d", "Expande todos los nodos del árbol." },
			{ "action_expand_m", new Integer(KeyEvent.VK_P) },
			{
					"action_expand_a",
					KeyStroke.getKeyStroke(KeyEvent.VK_PLUS,
							InputEvent.ALT_MASK) },

			{ "action_collapse", "Contraer todo" },
			{ "action_collapse_d", "Contrae todos los nodos del árbol." },
			{ "action_collapse_m", new Integer(KeyEvent.VK_T) },
			{
					"action_collapse_a",
					KeyStroke.getKeyStroke(KeyEvent.VK_MINUS,
							InputEvent.ALT_MASK) },

			{ "action_find", "Buscar..." },
			{ "action_find_d", "Busca una cadena de texto en el documento XML." },
			{ "action_find_i", "icons/16x16/edit-find.png" },
			{ "action_find_ibig", "icons/32x32/edit-find.png" },
			{ "action_find_m", new Integer(KeyEvent.VK_B) },
			{ "action_find_a",
					KeyStroke.getKeyStroke(KeyEvent.VK_F, InputEvent.CTRL_MASK) },

			{ "action_findnext", "Buscar siguiente" },
			{ "action_findnext_d",
					"Busca el siguiente nodo desde el actual que cumpla las condiciones" },
			{ "action_findnext_m", new Integer(KeyEvent.VK_S) },
			{ "action_findnext_a",
					KeyStroke.getKeyStroke(KeyEvent.VK_G, InputEvent.CTRL_MASK) },

			{ "action_changeeditor", "Cambiar orden editor..." },
			{ "action_changeeditor_d",
					"Cambia la orden a ejecutar para editar la fuente Lisp." },
			{ "action_changeeditor_m", new Integer(KeyEvent.VK_D) },
			{
					"action_changeeditor_question",
					"Introduzca la nueva orden para edición\n"
							+ "del fuente Lisp (%s = ruta a fuente):" },

			{ "action_edit", "Editar fuente" },
			{ "action_edit_d", "Edita la fuente Lisp de la demostración." },
			{ "action_edit_i", "icons/16x16/launch-editor.png" },
			{ "action_edit_ibig", "icons/32x32/launch-editor.png" },
			{ "action_edit_m", new Integer(KeyEvent.VK_E) },
			{ "action_edit_a",
					KeyStroke.getKeyStroke(KeyEvent.VK_E, InputEvent.CTRL_MASK) },

			{ "action_parent", "Padre" },
			{ "action_parent_d",
					"Viaja hacia el nodo padre del nodo actual en el árbol." },
			{ "action_parent_i", "icons/16x16/go-up.png" },
			{ "action_parent_ibig", "icons/32x32/go-up.png" },
			{ "action_parent_m", new Integer(KeyEvent.VK_P) },
			{ "action_parent_a",
					KeyStroke.getKeyStroke(KeyEvent.VK_UP, InputEvent.ALT_MASK) },

			{ "action_child", "Hijo" },
			{ "action_child_d",
					"Viaja hacia el primer nodo hijo del nodo actual en el árbol." },
			{ "action_child_i", "icons/16x16/go-down.png" },
			{ "action_child_ibig", "icons/32x32/go-down.png" },
			{ "action_child_m", new Integer(KeyEvent.VK_H) },
			{
					"action_child_a",
					KeyStroke.getKeyStroke(KeyEvent.VK_DOWN,
							InputEvent.ALT_MASK) },

			{ "action_prevsibling", "Hermano anterior" },
			{ "action_prevsibling_d",
					"Viaja hacia el hermano anterior al nodo actual en el árbol." },
			{ "action_prevsibling_i", "icons/16x16/go-previous.png" },
			{ "action_prevsibling_ibig", "icons/32x32/go-previous.png" },
			{ "action_prevsibling_m", new Integer(KeyEvent.VK_R) },
			{
					"action_prevsibling_a",
					KeyStroke.getKeyStroke(KeyEvent.VK_LEFT,
							InputEvent.ALT_MASK) },

			{ "action_nextsibling", "Hermano siguiente" },
			{ "action_nextsibling_d",
					"Viaja hacia el hermano siguiente al nodo actual en el árbol." },
			{ "action_nextsibling_i", "icons/16x16/go-next.png" },
			{ "action_nextsibling_ibig", "icons/32x32/go-next.png" },
			{ "action_nextsibling_m", new Integer(KeyEvent.VK_G) },
			{
					"action_nextsibling_a",
					KeyStroke.getKeyStroke(KeyEvent.VK_RIGHT,
							InputEvent.ALT_MASK) },

			{ "action_selectstylesheet_view", "Visualización" },
			{ "action_selectstylesheet_view_d",
					"Elige la hoja de estilo a usar para la visualización." },
			{ "action_selectstylesheet_view_m", new Integer(KeyEvent.VK_V) },

			{ "action_selectstylesheet_preproc", "Preprocesado" },
			{ "action_selectstylesheet_preproc_d",
					"Elige la hoja de estilo a usar para el preprocesado." },
			{ "action_selectstylesheet_preproc_m", new Integer(KeyEvent.VK_P) },

			{ "action_exit", "Salir" },
			{ "action_exit_d", "Sale del programa." },
			{ "action_exit_i", "icons/16x16/system-log-out.png" },
			{ "action_exit_ibig", "icons/32x32/system-log-out.png" },
			{ "action_exit_m", new Integer(KeyEvent.VK_S) },
			/* action_exit_a vacío */

			{ "action_close_d", "Cerrar" },
			{ "action_closeall_d", "Cerrar todo" },

			// Demás cadenas
			{ "confirm_exit_msg", "¿Seguro que desea salir?" },
			{ "confirm_exit_title", "¿Salir?" },

			// Mensajes de estado (la GUI en sí sólo conoce el mensaje en
			// reposo)
			{ "status_ready", "Listo" },

	};

	// Para hacer pruebas
	public static void main(String[] args) {

		// Visualizamos todos los valores
		for (int i = 0; i < contenido.length; ++i) {
			System.out.println(contenido[i][0] + " = " + contenido[i][1]);
		}

		// Ahora los extraemos
		ResourceBundle rb = ResourceBundle.getBundle(
				"es.uca.xmleye.ResVentanaPrincipal", Locale.getDefault());
		for (int i = 0; i < contenido.length; ++i) {
			System.out.println(contenido[i][0] + " = "
					+ rb.getObject((String) contenido[i][0]));
		}
	}
}
